## generator-scripting-language 4.1.5

=== Makefile ===
#
# Makefile for iMatix GSL/4.1
#
# Basic Makefile to build GSL starting from project root directory,
# allowing a simple build against system or bundled libpcre.
#
# Copyright (C) 2017 by the GSL community
#
# This file is licensed under the BSD license as follows:
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in
# the documentation and/or other materials provided with the
# distribution.
# * Neither the name of iMatix Corporation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY IMATIX CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL IMATIX CORPORATION BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

all check clean install uninstall:
	cd src && $(MAKE) $@

=== src/Makefile ===
#
# Makefile for iMatix GSL/4.1
#
# Copyright (c) 1996-2016 iMatix Corporation
#               2016-2017 GSL Developers
# All rights reserved.
#
# This file is licensed under the BSD license as follows:
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in
# the documentation and/or other materials provided with the
# distribution.
# * Neither the name of iMatix Corporation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY IMATIX CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL IMATIX CORPORATION BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

INSTALL = /usr/bin/install -c

# Installation directories, good for Debian Packaging
DESTDIR ?= /usr/local
prefix = ${DESTDIR}
mandir = ${prefix}/share/man/man1
bindir = ${prefix}/bin

RM ?= rm -f

# Default values for object, library, and executable extensions.
#
OBJ = .o
LIB = .a
EXE =
DBG =
CC = ./c -q
export CCLIBS = -lpcre

CPPFLAGS ?= -I/usr/include/pcre

# Reset the suffixes that will be considered to just our own list.
#
# Make programs use the .SUFFIXES psuedo rule for this

.SUFFIXES:
.SUFFIXES: $(EXE) $(LIB) $(OBJ) .c .d .i

# Objects depend on source files with the same name; and are compiled
# with the iMatix c script without any arguments.
#
.c$(OBJ):
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DBG) $<

#
# Default rule -- all depends on everything.
# We do this so that we can define the rule at the end.
#
all: everything

# debug build
debug: DBG = -DDEBUG -g
debug: everything

#
# The following targets are not files. Mark them as such.
#
.PHONY: all everything install clean
#
# Dependencies
#
libgsl$(LIB): ggobjt$(OBJ) ggcomm$(OBJ) ggscop$(OBJ) ggcode$(OBJ) ggcodem$(OBJ) ggpars$(OBJ) ggparsm$(OBJ) ggconv$(OBJ) ggdiag$(OBJ) ggenvt$(OBJ) ggfile$(OBJ) gggsl$(OBJ) ggmath$(OBJ) ggpcre$(OBJ) ggproc$(OBJ) ggscrp$(OBJ) ggsock$(OBJ) ggstrn$(OBJ) ggsymb$(OBJ) ggthrd$(OBJ) ggtime$(OBJ) ggxml$(OBJ) sflbits$(OBJ) sflcvds$(OBJ) sflcvts$(OBJ) sflfile$(OBJ) sfllbuf$(OBJ) sflnode$(OBJ) sflsock$(OBJ) sfltron$(OBJ) smtlog$(OBJ) smtmsg$(OBJ) smtsimu$(OBJ) smttst2$(OBJ) sflcomp$(OBJ) sflcvns$(OBJ) sfldate$(OBJ) sflfind$(OBJ) sfllist$(OBJ) sflprint$(OBJ) sflsort$(OBJ) sfluid$(OBJ) smtoper$(OBJ) smtslot$(OBJ) smttst3$(OBJ) sflcons$(OBJ) sflcvsb$(OBJ) sfldes$(OBJ) sflfort$(OBJ) sflmail$(OBJ) sflproc$(OBJ) sflstr$(OBJ) sflxml$(OBJ) smtpipe$(OBJ) smtsmtp$(OBJ) smtxlog$(OBJ) sflconv$(OBJ) sflcvsd$(OBJ) sfldescr$(OBJ) sflheap$(OBJ) sflmath$(OBJ) sflscrit$(OBJ) sflsymb$(OBJ) sflxmll$(OBJ) smtpop$(OBJ) smtsock$(OBJ) sflcryp$(OBJ) sflcvsn$(OBJ) sfldir$(OBJ) sflhttp$(OBJ) sflmem$(OBJ) sflsearch$(OBJ) sflsyst$(OBJ) sflxmls$(OBJ) smtrdns$(OBJ) smttime$(OBJ) sflcvbs$(OBJ) sflcvst$(OBJ) sflenv$(OBJ) sflini$(OBJ) sflmesg$(OBJ) sflsha$(OBJ) sfltok$(OBJ) smtecho$(OBJ) smtrdnsl$(OBJ) smttran$(OBJ) sflcvdp$(OBJ) sflcvtp$(OBJ) sflexdr$(OBJ) sfllang$(OBJ) sflmime$(OBJ) sflslot$(OBJ) sfltree$(OBJ) smtlib$(OBJ) smtserv$(OBJ) smttst1$(OBJ)
	$(CC) -r libgsl$(LIB) ggobjt$(OBJ) ggcomm$(OBJ) ggscop$(OBJ) ggcode$(OBJ) ggcodem$(OBJ) ggpars$(OBJ) ggparsm$(OBJ) ggconv$(OBJ) ggdiag$(OBJ) ggenvt$(OBJ) ggfile$(OBJ) gggsl$(OBJ) ggmath$(OBJ) ggpcre$(OBJ) ggproc$(OBJ) ggscrp$(OBJ) ggsock$(OBJ) ggstrn$(OBJ) ggsymb$(OBJ) ggthrd$(OBJ) ggtime$(OBJ) ggxml$(OBJ) sflbits$(OBJ) sflcvds$(OBJ) sflcvts$(OBJ) sflfile$(OBJ) sfllbuf$(OBJ) sflnode$(OBJ) sflsock$(OBJ) sfltron$(OBJ) smtlog$(OBJ) smtmsg$(OBJ) smtsimu$(OBJ) smttst2$(OBJ) sflcomp$(OBJ) sflcvns$(OBJ) sfldate$(OBJ) sflfind$(OBJ) sfllist$(OBJ) sflprint$(OBJ) sflsort$(OBJ) sfluid$(OBJ) smtoper$(OBJ) smtslot$(OBJ) smttst3$(OBJ) sflcons$(OBJ) sflcvsb$(OBJ) sfldes$(OBJ) sflfort$(OBJ) sflmail$(OBJ) sflproc$(OBJ) sflstr$(OBJ) sflxml$(OBJ) smtpipe$(OBJ) smtsmtp$(OBJ) smtxlog$(OBJ) sflconv$(OBJ) sflcvsd$(OBJ) sfldescr$(OBJ) sflheap$(OBJ) sflmath$(OBJ) sflscrit$(OBJ) sflsymb$(OBJ) sflxmll$(OBJ) smtpop$(OBJ) smtsock$(OBJ) sflcryp$(OBJ) sflcvsn$(OBJ) sfldir$(OBJ) sflhttp$(OBJ) sflmem$(OBJ) sflsearch$(OBJ) sflsyst$(OBJ) sflxmls$(OBJ) smtrdns$(OBJ) smttime$(OBJ) sflcvbs$(OBJ) sflcvst$(OBJ) sflenv$(OBJ) sflini$(OBJ) sflmesg$(OBJ) sflsha$(OBJ) sfltok$(OBJ) smtecho$(OBJ) smtrdnsl$(OBJ) smttran$(OBJ) sflcvdp$(OBJ) sflcvtp$(OBJ) sflexdr$(OBJ) sfllang$(OBJ) sflmime$(OBJ) sflslot$(OBJ) sfltree$(OBJ) smtlib$(OBJ) smtserv$(OBJ) smttst1$(OBJ)
gsl$(OBJ): gsl.c ggpriv.h ggcomm.h ggpars.h ggscop.h ggcode.h ggobjt.h version.h sflbits.h sfldescr.h sflfind.h sflini.h sflmem.h sflprocx.h sflstr.h sfluid.h smthead.h smtserv.h sflcomp.h sfldes.h sflfort.h sfllang.h sflmesg.h sflsearch.h sflsymb.h sflxml.h smtlib.h smtsimu.h sflcons.h sfldir.h sfl.h sfllbuf.h sflmime.h sflsha.h sflsyst.h sflxmll.h smtmem.h smtsslm.h sflconv.h sflenv.h sflhead.h sfllist.h sflnode.h sflslot.h sfltok.h sflxmls.h smtmsg.h smttime.h sflcryp.h sflexdr.h sflheap.h sflmail.h sflprint.h sflsock.h sfltree.h smt3.h smtpriv.h smtxlog.h sfldate.h sflfile.h sflhttp.h sflmath.h sflproc.h sflsort.h sfltron.h smtdefn.h smtrdnsl.h
gsl$(EXE): gsl$(OBJ) libgsl$(LIB)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DBG) -L gsl
ggobjt$(OBJ): ggobjt.c
ggcomm$(OBJ): ggcomm.c
ggscop$(OBJ): ggscop.c
ggcode$(OBJ): ggcode.c
ggcodem$(OBJ): ggcodem.c
ggpars$(OBJ): ggpars.c
ggparsm$(OBJ): ggparsm.c
ggconv$(OBJ): ggconv.c
ggdiag$(OBJ): ggdiag.c
ggenvt$(OBJ): ggenvt.c
ggfile$(OBJ): ggfile.c
gggsl$(OBJ): gggsl.c
ggmath$(OBJ): ggmath.c
ggpcre$(OBJ): ggpcre.c
ggproc$(OBJ): ggproc.c
ggscrp$(OBJ): ggscrp.c
ggsock$(OBJ): ggsock.c
ggstrn$(OBJ): ggstrn.c
ggsymb$(OBJ): ggsymb.c
ggthrd$(OBJ): ggthrd.c
ggtime$(OBJ): ggtime.c
ggxml$(OBJ): ggxml.c
sflbits$(OBJ): sflbits.c
sflcomp$(OBJ): sflcomp.c
sflcons$(OBJ): sflcons.c
sflconv$(OBJ): sflconv.c
sflcryp$(OBJ): sflcryp.c
sflcvbs$(OBJ): sflcvbs.c
sflcvdp$(OBJ): sflcvdp.c
sflcvds$(OBJ): sflcvds.c
sflcvns$(OBJ): sflcvns.c
sflcvsb$(OBJ): sflcvsb.c
sflcvsd$(OBJ): sflcvsd.c
sflcvsn$(OBJ): sflcvsn.c
sflcvst$(OBJ): sflcvst.c
sflcvtp$(OBJ): sflcvtp.c
sflcvts$(OBJ): sflcvts.c
sfldate$(OBJ): sfldate.c
sfldes$(OBJ): sfldes.c
sfldescr$(OBJ): sfldescr.c
sfldir$(OBJ): sfldir.c
sflenv$(OBJ): sflenv.c
sflexdr$(OBJ): sflexdr.c
sflfile$(OBJ): sflfile.c
sflfind$(OBJ): sflfind.c
sflfort$(OBJ): sflfort.c
sflheap$(OBJ): sflheap.c
sflhttp$(OBJ): sflhttp.c
sflini$(OBJ): sflini.c
sfllang$(OBJ): sfllang.c
sfllbuf$(OBJ): sfllbuf.c
sfllist$(OBJ): sfllist.c
sflmail$(OBJ): sflmail.c
sflmath$(OBJ): sflmath.c
sflmem$(OBJ): sflmem.c
sflmesg$(OBJ): sflmesg.c
sflmime$(OBJ): sflmime.c
sflnode$(OBJ): sflnode.c
sflprint$(OBJ): sflprint.c
sflproc$(OBJ): sflproc.c
sflscrit$(OBJ): sflscrit.c
sflsearch$(OBJ): sflsearch.c
sflsha$(OBJ): sflsha.c
sflslot$(OBJ): sflslot.c
sflsock$(OBJ): sflsock.c
sflsort$(OBJ): sflsort.c
sflstr$(OBJ): sflstr.c
sflsymb$(OBJ): sflsymb.c
sflsyst$(OBJ): sflsyst.c
sfltok$(OBJ): sfltok.c
sfltree$(OBJ): sfltree.c
sfltron$(OBJ): sfltron.c
sfluid$(OBJ): sfluid.c
sflxml$(OBJ): sflxml.c
sflxmll$(OBJ): sflxmll.c
sflxmls$(OBJ): sflxmls.c
smtecho$(OBJ): smtecho.c
smtlib$(OBJ): smtlib.c
smtlog$(OBJ): smtlog.c
smtmsg$(OBJ): smtmsg.c
smtoper$(OBJ): smtoper.c
smtpipe$(OBJ): smtpipe.c
smtpop$(OBJ): smtpop.c
smtrdns$(OBJ): smtrdns.c
smtrdnsl$(OBJ): smtrdnsl.c
smtserv$(OBJ): smtserv.c
smtsimu$(OBJ): smtsimu.c
smtslot$(OBJ): smtslot.c
smtsmtp$(OBJ): smtsmtp.c
smtsock$(OBJ): smtsock.c
smttime$(OBJ): smttime.c
smttran$(OBJ): smttran.c
smttst1$(OBJ): smttst1.c
smttst2$(OBJ): smttst2.c
smttst3$(OBJ): smttst3.c
smtxlog$(OBJ): smtxlog.c

everything: libgsl$(LIB) gsl$(EXE)

code:
	./gsl$(EXE) -q ggconv.gxl ggdiag.gxl ggenvt.gxl ggfile.gxl gggsl.gxl ggmath.gxl ggpcre.gxl ggproc.gxl ggscrp.gxl ggsock.gxl ggstrn.gxl ggsymb.gxl ggthrd.gxl ggtime.gxl ggxml.gxl

headers:
	cat gghead.h ggcomm.h ggpars.h ggparsm.h ggscrp.h ggscop.h ggobjt.h ggsymb.h gggsl.h ggcode.h ggcodem.h ggfile.h ggstrn.h ggenvt.h ggconv.h ggmath.h ggsock.h ggthrd.h ggxml.h ggtime.h ggpcre.h ggdiag.h ggproc.h > gsl.h

test: everything
	./gsl -v

check: gsl$(EXE)
	./gsl$(EXE) testall
	./gsl$(EXE) teststr

install:
	$(INSTALL) -m 755 -d "$(bindir)"
	$(INSTALL) -m 755 gsl "$(bindir)"
	$(INSTALL) -m 755 -d "$(mandir)"
	$(INSTALL) -m 644 gsl.1 "$(mandir)"

uninstall:
	$(RM) "$(bindir)/gsl"
	$(RM) "$(mandir)/gsl.1"
	@if test -d "$(bindir)" ; then \
	    if test `find "$(bindir)" | wc -l` -le 1 ; then \
	        echo "$(RM) -r $(bindir)" >&2 ; \
	        $(RM) -r "$(bindir)" ; \
	    else true; fi ; \
	else true ; fi
	@if test -d "$(mandir)" ; then \
	    if test `find "$(mandir)" | wc -l` -le 1 ; then \
	        echo "$(RM) -r $(mandir)" >&2 ; \
	        $(RM) -r "$(mandir)" ; \
	    else true; fi ; \
	else true ; fi

clean:
	rm -f *.o *.a gsl

=== debian/changelog ===
generator-scripting-language (4.1.5-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * d/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to fix FTBFS with
    CMake 4 (Closes: #1112945)
  * Build depend on libcrypt-dev (Closes: #1106982)
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: fix path to sflstr.c
  * d/patches: fix some metadata

  [ Nilesh Patra ]
  * d/rules: fix cross compilation (Closes: #1110323)

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Oct 2025 15:26:58 +0100

generator-scripting-language (4.1.5-4) unstable; urgency=medium

  * Merge pull request #1 from debian-janitor/lintian-fixes
  * Backport patch to fix Loongarch64 build (Closes: #1051448)
  * Set Rules-Requires-Root: no
  * Bump debhelper-compat to 13
  * Bump Standards-version to 4.7.0
  * Vendor pcre3
  * debian/pcre3: remove unneeded files
  * Build using the vendored static libpcre.a (Closes: #1000118)

 -- Luca Boccassi <bluca@debian.org>  Mon, 03 Jun 2024 22:53:57 +0100

generator-scripting-language (4.1.5-3) unstable; urgency=medium

  * Add fix-ia64.patch and fix-riscv64.patch to fix FTBS on ia64 and
    riscv64.
  * Bump Standards-Version to 4.1.4, no changes.
  * Remove --parallel from dh, as it is enabled by default.

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Apr 2018 17:10:13 +0100

generator-scripting-language (4.1.5-2) unstable; urgency=medium

  * Add copyright notice for sflstr.c and MIT license.
    (Closes: #878932)
  * Add fix-sparc64.patch to fix FTBS on Sparc 64. (Closes: #879023)
  * Add fix-mips64el.patch to fix FTBS on mips64el.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Oct 2017 11:20:30 +0100

generator-scripting-language (4.1.5-1) unstable; urgency=low

  * Initial packaging. (Closes: #874426)

 -- Luca Boccassi <bluca@debian.org>  Sat, 14 Oct 2017 18:31:54 +0100

=== debian/control ===
Source: generator-scripting-language
Section: devel
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libcrypt-dev,
Homepage: https://github.com/zeromq/gsl
Vcs-Git: https://github.com/bluca/gsl.git
Vcs-Browser: https://github.com/bluca/gsl

Package: generator-scripting-language
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
Description: Generator Scripting Language code generator
 GSL/4.1 is a code construction tool.  It will generate code in all
 languages and for all purposes.  If this sounds too good to be true,
 welcome to 1996, when we invented these techniques.  Magic is simply
 technology that is twenty years ahead of its time. In addition to
 code construction, GSL has been used to generate database schema
 definitions, user interfaces, reports, system administration tools
 and much more.

Package: generator-scripting-language-examples
Architecture: all
Depends: ${misc:Depends},
 generator-scripting-language (>= ${source:Version}),
Description: Examples for the Generator Scripting Language code generator
 GSL/4.1 is a code construction tool.  It will generate code in all
 languages and for all purposes.  If this sounds too good to be true,
 welcome to 1996, when we invented these techniques.  Magic is simply
 technology that is twenty years ahead of its time. In addition to
 code construction, GSL has been used to generate database schema
 definitions, user interfaces, reports, system administration tools
 and much more.
 .
 This package contains examples to get started with gsl.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-include /usr/share/dpkg/buildtools.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    PAR := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(PAR)
endif

%:
	dh $@

export CCLIBS=$(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)/libpcre.a
export DEB_CPPFLAGS_MAINT_APPEND=-I$(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)/

execute_after_dh_auto_clean:
	rm -rf $(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)

override_dh_auto_build:
	mkdir -p $(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)
	cd $(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE) && \
		cmake ../pcre3 \
			-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
			-DCMAKE_CXX_COMPILER=$(CXX) \
			-DCMAKE_C_COMPILER=$(CC) \
			-DPCRE_SUPPORT_UTF=ON \
			-DPCRE_SUPPORT_UNICODE_PROPERTIES=ON \
			-DPCRE_BUILD_PCRECPP=OFF \
			-DPCRE_BUILD_PCREGREP=OFF \
			-DPCRE_BUILD_TESTS=OFF \
			-DPCRE_SUPPORT_LIBZ=OFF \
			-DPCRE_SUPPORT_LIBBZ2=OFF \
			-DPCRE_SUPPORT_LIBREADLINE=OFF && \
		$(MAKE) CC="$(CC)"
	dh_auto_build -- CC="CCNAME=$(CC) ./c -q"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
https://github.com/zeromq/gsl/tags .*/v?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## generator-scripting-language 1483994693.b4adc4a

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #
 # Makefile for iMatix GSL/4.1
 #
-# Copyright (c) 1996-2016 iMatix Corporation
-#               2016-2017 GSL Developers
+# Copyright (c) 1996-2010 iMatix Corporation
 # All rights reserved.
 #
 # This file is licensed under the BSD license as follows:
@@ -39,10 +38,8 @@
 # Installation directories, good for Debian Packaging
 DESTDIR ?= /usr/local
 prefix = ${DESTDIR}
-mandir = ${prefix}/share/man/man1
+mandir = ${prefix}/share/man/man8
 bindir = ${prefix}/bin
-
-RM ?= rm -f
 
 # Default values for object, library, and executable extensions.
 #
@@ -52,8 +49,6 @@
 DBG =
 CC = ./c -q
 export CCLIBS = -lpcre
-
-CPPFLAGS ?= -I/usr/include/pcre
 
 # Reset the suffixes that will be considered to just our own list.
 #
@@ -188,41 +183,17 @@
 smtxlog$(OBJ): smtxlog.c
 
 everything: libgsl$(LIB) gsl$(EXE)
+	./gsl -v
 
 code:
-	./gsl$(EXE) -q ggconv.gxl ggdiag.gxl ggenvt.gxl ggfile.gxl gggsl.gxl ggmath.gxl ggpcre.gxl ggproc.gxl ggscrp.gxl ggsock.gxl ggstrn.gxl ggsymb.gxl ggthrd.gxl ggtime.gxl ggxml.gxl
+	gsl -q ggconv.gxl ggdiag.gxl ggenvt.gxl ggfile.gxl gggsl.gxl ggmath.gxl ggpcre.gxl ggproc.gxl ggscrp.gxl ggsock.gxl ggstrn.gxl ggsymb.gxl ggthrd.gxl ggtime.gxl ggxml.gxl
 
 headers:
 	cat gghead.h ggcomm.h ggpars.h ggparsm.h ggscrp.h ggscop.h ggobjt.h ggsymb.h gggsl.h ggcode.h ggcodem.h ggfile.h ggstrn.h ggenvt.h ggconv.h ggmath.h ggsock.h ggthrd.h ggxml.h ggtime.h ggpcre.h ggdiag.h ggproc.h > gsl.h
 
-test: everything
-	./gsl -v
-
-check: gsl$(EXE)
-	./gsl$(EXE) testall
-	./gsl$(EXE) teststr
-
 install:
-	$(INSTALL) -m 755 -d "$(bindir)"
-	$(INSTALL) -m 755 gsl "$(bindir)"
-	$(INSTALL) -m 755 -d "$(mandir)"
-	$(INSTALL) -m 644 gsl.1 "$(mandir)"
-
-uninstall:
-	$(RM) "$(bindir)/gsl"
-	$(RM) "$(mandir)/gsl.1"
-	@if test -d "$(bindir)" ; then \
-	    if test `find "$(bindir)" | wc -l` -le 1 ; then \
-	        echo "$(RM) -r $(bindir)" >&2 ; \
-	        $(RM) -r "$(bindir)" ; \
-	    else true; fi ; \
-	else true ; fi
-	@if test -d "$(mandir)" ; then \
-	    if test `find "$(mandir)" | wc -l` -le 1 ; then \
-	        echo "$(RM) -r $(mandir)" >&2 ; \
-	        $(RM) -r "$(mandir)" ; \
-	    else true; fi ; \
-	else true ; fi
+	$(INSTALL) -m 755 -d $(bindir)
+	$(INSTALL) -m 755 gsl $(bindir)
 
 clean:
 	rm -f *.o *.a gsl

## generator-scripting-language 1710078767.2611b3a

=== debian/changelog ===
generator-scripting-language (1710078767.2611b3a-0) UNRELEASED; urgency=low

  * Initial packaging.

 -- GSL Developers <zeromq-dev@lists.zeromq.org>  Sun, 21 Aug 2016 00:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    PAR := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(PAR)
endif

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=generator-scripting-language-dbg
